Now on demand: Content + AI Virtual Summit. See demos on Box Agents, Extract, and Automate. Tune in
curl -X -L POST "https://api.box.com/2.0/integration_mappings/slack" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H 'content-type: application/json' \
-d '{
"partner_item": {
"id": "C987654321",
"type": "channel",
"slack_workspace_id": "T5555555"
},
"box_item": {
"id": "123456789",
"type": "folder"
}
}'{
"id": "12345",
"type": "integration_mapping",
"partner_item": {
"id": "C12378991223",
"type": "channel",
"slack_org_id": "E1234567"
},
"box_item": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"integration_type": "slack",
"is_manually_created": true,
"options": {
"is_access_management_disabled": true
},
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"modified_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Creates a Slack integration mapping by mapping a Slack channel to a Box item.
You need Admin or Co-Admin role to use this endpoint.
curl -X -L POST "https://api.box.com/2.0/integration_mappings/slack" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H 'content-type: application/json' \
-d '{
"partner_item": {
"id": "C987654321",
"type": "channel",
"slack_workspace_id": "T5555555"
},
"box_item": {
"id": "123456789",
"type": "folder"
}
}'{
"id": "12345",
"type": "integration_mapping",
"partner_item": {
"id": "C12378991223",
"type": "channel",
"slack_org_id": "E1234567"
},
"box_item": {
"id": "12345",
"type": "folder",
"etag": "1",
"sequence_id": "3",
"name": "Contracts"
},
"integration_type": "slack",
"is_manually_created": true,
"options": {
"is_access_management_disabled": true
},
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"modified_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
A request to create a Slack Integration Mapping object.
The schema for an integration mapping mapped item object for type Slack.
Depending if Box for Slack is installed at the org or workspace level, provide either slack_org_id or slack_workspace_id. Do not use both parameters at the same time.
Show child attributes
The schema for an integration mapping Box item object for type Slack.
Show child attributes
The schema for an integration mapping options object for Slack type.
Show child attributes
Returns the created integration mapping.
A Slack specific representation of an integration mapping object.
A unique identifier of a folder mapping (part of a composite key together with integration_type).
"12345"
Mapping type.
integration_mapping "integration_mapping"
Mapped item object for Slack.
Show child attributes
{
"id": "C12378991223",
"type": "channel",
"slack_org_id": "E1234567"
}The Box folder, to which the object from the partner app domain (referenced in partner_item_id) is mapped.
Show child attributes
Identifies the Box partner app, with which the mapping is associated. Currently only supports Slack. (part of the composite key together with id).
slack "slack"
Identifies whether the mapping has been manually set (as opposed to being automatically created).
true
The schema for an integration mapping options object for Slack type.
Show child attributes
An object representing the user who created the integration mapping.
Show child attributes
The user who last modified the integration mapping.
Show child attributes
When the integration mapping object was created.
"2012-12-12T10:53:43-08:00"
When the integration mapping object was last modified.
"2012-12-12T10:53:43-08:00"
Was this page helpful?